## LassoSoapBindingExtTimeout LassoSoapBindingExtTimeout — <soapbinding:TimeoutType> |

## Functions

LassoSoapBindingExtTimeout * | lasso_soap_binding_ext_timeout_new ()

## Types and Values

struct | LassoSoapBindingExtTimeout

## Description

Figure 138. Schema fragment for soapbinding:TimeoutType

    <xs:complexType name="TimeoutType">
      <xs:attribute name="maxProcessingTime" type="xs:integer" use="required"/>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute ref="S:mustUnderstand" use="optional"/>
      <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>
    <xs:element name="Timeout" type="TimeoutType"/>

## Functions

### lasso_soap_binding_ext_timeout_new ()

    LassoSoapBindingExtTimeout *
    lasso_soap_binding_ext_timeout_new (gint maxProcessingTime);

## Types and Values

### struct LassoSoapBindingExtTimeout

    struct LassoSoapBindingExtTimeout {
    	LassoNode parent;

    	gint maxProcessingTime;
    	gchar *id;
    	gchar *mustUnderstand;
    	gchar *actor;
    };